package com.companyname.enums.server.impl;
/**
 * ObjectRiver Inc, http://www.objectriver.net/
 * Copyright (c) 2002-2013, ObjectRiver(tm). All rights reserved.
 */

import com.companyname.enums.common.*;
import com.companyname.enums.server.*;
import com.companyname.enums.common.beans.*;
import com.companyname.enums.common.enums.*;

import javax.websocket.CloseReason;
import javax.websocket.EndpointConfig;
import javax.websocket.Session;
import java.sql.*;
import java.util.Map;
import java.util.HashSet;
import java.util.logging.Level;

public class EnumsIfaceServerSessionImpl_V1 extends EnumsServerRandomImplementation implements EnumsIfaceServerInterface_V1,ServerEndPointInterface {
    protected Map<String, Object> userProperties = null;
    protected EnumsServerStub_V1 serverStub = null;
    protected Session session__ = null;
    public EnumsIfaceServerSessionImpl_V1(EnumsServerStub_V1 serverStub) {
        this.serverStub = serverStub;
    }
    /**
     * Implementation WebSocket endpoint routines.
     */
    public void onOpen(Session session, EndpointConfig endpointConfig) {
        this.session__ = session;
        this.userProperties = this.session__.getUserProperties();
    }
    public void onClose(Session session, CloseReason closeReason) {
        this.session__ = null;
    }
    public void onError(Session session, java.lang.Throwable thr) {
        System.out.println(thr.getMessage());
        thr.printStackTrace();
    }


    /**
     * Implement your methods here!
     */
    /**
     *
     * syncmethod KidsAndPet meetTheFlintstones( [in] Flintstones[] flintstones ) throws EnumsException {};
     *
     */
    public KidsAndPet meetTheFlintstones( Flintstones[] flintstones) throws EnumsException {
        System.out.println("Inside meetTheFlintstones method");
        if(flintstones[0] != Flintstones.Fred_instance) throw new EnumsException("flintstones[0] != Flintstones.Fred_instance");
        if(flintstones[1] != Flintstones.Wilma_instance) throw new EnumsException("flintstones[1] != Flintstones.Wilma_instance");
        if(flintstones[2] != Flintstones.Pebbles_instance) throw new EnumsException("flintstones[2] != Flintstones.Pebbles_instance");
        if(flintstones[3] != Flintstones.Dino_instance) throw new EnumsException("flintstones[3] != Flintstones.Dino_instance");
        if(flintstones[4] != Flintstones.Barney_instance) throw new EnumsException("flintstones[4] != Flintstones.Barney_instance");
        if(flintstones[5] != Flintstones.Betty_instance) throw new EnumsException("flintstones[5] != Flintstones.Betty_instance");
        if(flintstones[6] != Flintstones.Bambam_instance) throw new EnumsException("flintstones[6] != Flintstones.Bambam_instance");
        KidsAndPet mKidsAndPet = KidsAndPetFactory.valueOf(flintstones, flintstones[3]);
        return        mKidsAndPet;
    }
}
