package com.companyname.hello.server.impl;
/**
 * ObjectRiver Inc, http://www.objectriver.net/
 * Copyright (c) 2002-2013, ObjectRiver(tm). All rights reserved.
 */

import com.companyname.hello.common.*;
import com.companyname.hello.server.*;
import com.companyname.hello.common.beans.*;

import javax.websocket.CloseReason;
import javax.websocket.EndpointConfig;
import javax.websocket.Session;
import java.sql.*;
import java.util.Map;
import java.util.HashSet;
import java.util.logging.Level;

public class HelloEndpointServerSessionImpl_V1 extends HelloServerRandomImplementation implements HelloEndpointServerInterface_V1,ServerEndPointInterface {
    protected Map<String, Object> userProperties = null;
    protected HelloServerStub_V1 serverStub = null;
    protected Session session__ = null;
    public HelloEndpointServerSessionImpl_V1(HelloServerStub_V1 serverStub) {
        this.serverStub = serverStub;
    }
    /**
     * Implementation WebSocket endpoint routines.
     */
    public void onOpen(Session session, EndpointConfig endpointConfig) {
        this.session__ = session;
        this.userProperties = this.session__.getUserProperties();
    }
    public void onClose(Session session, CloseReason closeReason) {
        this.session__ = null;
    }
    public void onError(Session session, java.lang.Throwable thr) {
        System.out.println(thr.getMessage());
        thr.printStackTrace();
    }
    protected HelloServerStub_V1 createServerStub() {
        return new HelloServerStub_V1(this.session__);
    }


    /**
     * Implement your methods here!
     */
    /**
     *
     * syncmethod String[] hello( [in] String hello, [in] Boolean throwSomething ) throws HelloException {};
     *
     */
    public String[] hello( String hello, Boolean throwSomething) throws HelloException {
        System.out.println("Inside hello method");
        if(throwSomething!=null && throwSomething.booleanValue())
            throw new HelloException("World");
        return new String[]{"World","World","World","World"};
    }
}
