package com.companyname.sendreply.server.impl;
/**
 * ObjectRiver Inc, http://www.objectriver.net/
 * Copyright (c) 2002-2013, ObjectRiver(tm). All rights reserved.
 */

import com.companyname.sendreply.common.*;
import com.companyname.sendreply.server.*;
import com.companyname.sendreply.common.beans.*;

import javax.websocket.CloseReason;
import javax.websocket.EndpointConfig;
import javax.websocket.Session;
import java.sql.*;
import java.util.Map;
import java.util.HashSet;
import java.util.logging.Level;

public class SendReplyInterfaceServerSessionImpl_V1 extends SendReplyServerRandomImplementation implements SendReplyInterfaceServerInterface_V1,ServerEndPointInterface {
    protected Map<String, Object> userProperties = null;
    protected SendReplyServerStub_V1 serverStub = null;
    protected Session session__ = null;
    public SendReplyInterfaceServerSessionImpl_V1(SendReplyServerStub_V1 serverStub) {
        this.serverStub = serverStub;
    }
    /**
     * Implementation WebSocket endpoint routines.
     */
    public void onOpen(Session session, EndpointConfig endpointConfig) {
        this.session__ = session;
        this.userProperties = this.session__.getUserProperties();
    }
    public void onClose(Session session, CloseReason closeReason) {
        this.session__ = null;
    }
    public void onError(Session session, java.lang.Throwable thr) {
        System.out.println(thr.getMessage());
        thr.printStackTrace();
    }


    /**
     * Implement your methods here!
     */
    /**
     *
     * syncreplymethod void method1( [out] String[] arg3 ) throws SendReplyException {};
     *
     */
    public void method1( String[] arg3) throws SendReplyException {
        System.out.println("Inside method1 method");
        arg3[0] = "aaa";
        arg3[1] = "bbb";
        arg3[2] = "ccc";
        serverStub.method1Response(arg3);
    }
    /**
     *
     * syncreplymethod String[] method2( [out] Integer[] arg3 ) throws SendReplyException {};
     *
     */
    public String[] method2( Integer[] arg3) throws SendReplyException {
        System.out.println("Inside method2 method");
        for(int i = 0; i <100; i++){
            arg3[i] = new Integer(i+1);
        }
        String[] result = new String[1];
        result[0] = "method2 can work";
        serverStub.method2Response(result,arg3);
        return result;
    }
    /**
     *
     * syncreplymethod Long handleexception ) throws SendReplyException {};
     *
     */
    public Long handleexception() throws SendReplyException {
        System.out.println("Inside handleexception method");
        Long result =random.nextlong(true, 6);
        serverStub.handleexceptionResponse(result);
        return result;
    }
}
